//----------------------------------------------------------------
//
// This code originally appeared in the October 1996 _Windows
// Developer's Journal_ in the article "Creating Dual-Version Apps 
// for Win95/Win3.x" by Tapani J. Otala.  He can be contacted at 
// totala@canon.com or tjotala@netcom.com
//
// Modifications to the function declarations and prototypes were
// made by Rob Lichtefeld to prevent the normal C++ "name-mangling" 
// when creating the .DLL
//
//----------------------------------------------------------------

#if !defined(__EWV_H__)
#define __EWV_H__

extern "C" {
BOOL FAR PASCAL _export GetModuleExpWinVer(HMODULE hModule, LPWORD pwVer);
BOOL FAR PASCAL _export SetModuleExpWinVer(HMODULE hModule, WORD wVer);
BOOL FAR PASCAL _export GetTaskExpWinVer(HTASK hTask, LPWORD wVer);
BOOL FAR PASCAL _export SetTaskExpWinVer(HTASK hTask, WORD wVer);
}

BOOL IsWin95();

#endif // !__EWV_H__

